Last Comment Bug 654641 - After scroll pull-down, font becomes thin for 2-3 seconds.. Maybe anti aliasing issue.
: After scroll pull-down, font becomes thin for 2-3 seconds.. Maybe anti aliasi...
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Windows 7
: -- minor (vote)
: mozilla6
Assigned To: Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
:
Mentors:
Depends on:
Blocks: 630835
  Show dependency treegraph
 
Reported: 2011-05-03 21:24 PDT by Alice0775 White
Modified: 2013-12-27 14:23 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot (178.10 KB, image/png)
2011-05-03 21:24 PDT, Alice0775 White
no flags Details
fix (4.94 KB, patch)
2011-05-03 22:51 PDT, Robert O'Callahan (:roc) (Exited; email my personal email if necessary)
tnikkel: review+
dveditz: approval‑mozilla‑beta-
Details | Diff | Splinter Review

Description Alice0775 White 2011-05-03 21:24:44 PDT
Created attachment 529924 [details]
screenshot

Build Identifier:
http://hg.mozilla.org/releases/mozilla-2.0/rev/9b8188993c1a
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0.2pre) Gecko/20110501 Firefox/4.0.2pre ID:20110501030621
http://hg.mozilla.org/mozilla-aurora/rev/308693ad3772
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:5.0) Gecko/20110413 Firefox/5.0a2 ID:20110503042003
http://hg.mozilla.org/releases/mozilla-2.0/rev/9b8188993c1a
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0.2pre) Gecko/20110501 Firefox/4.0.2pre ID:20110501030621

After scroll pull-down, font becomes thin for 2-3 seconds..
Maybe anti aliasing issue.

Reproducible: Always

Steps to Reproduce:
1. Start Firefox with new profile
2. Open ( ex. https://bugzilla.mozilla.org/userprefs.cgi )
4. Page Zoom-In Ctrl++ repeats 5 times (In order to make easy to verify the bug)
5. Open pull-down "Timezone used to display dates and times"
6. Scroll the pull-down and watch the font for a while

Actual Results:
 After scroll pull-down, font becomes thin for 2-3 seconds.


Expected Results:
 Font appearance should be same .
Comment 1 Bas Schouten (:bas.schouten) 2011-05-03 21:31:54 PDT
Probably something with layers going active/inactive. Not sure if this is a bug.
Comment 2 Alice0775 White 2011-05-03 21:55:14 PDT
layers.acceleration.disabled=true does not fix.
But, gfx.direct2d.disabled=true helps.

Default preferences:
Graphics
  Adapter Description: ATI Radeon HD 4300/4500 Series
  Vendor ID: 1002
  Device ID: 954f
  Adapter RAM: 512
  Adapter Drivers: aticfx64 aticfx64 aticfx32 aticfx32 atiumd64 atidxx64 atiumdag atidxx32 atiumdva atiumd6a atitmm64
  Driver Version: 8.841.0.0
  Driver Date: 4-5-2011
  Direct2D Enabled: true
  DirectWrite Enabled: true (6.1.7601.17563, font cache n/a)
  WebGL Renderer: Google Inc. -- ANGLE -- OpenGL ES 2.0 (ANGLE 0.0.0.611)
  GPU Accelerated Windows: 1/1 Direct3D 10
Comment 3 Alice0775 White 2011-05-03 22:26:03 PDT
Regression window(cached m-c hourly):
Works:
http://hg.mozilla.org/mozilla-central/rev/67ee5b40edd5
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b13pre) Gecko/20110222 Firefox/4.0b13pre ID:20110222201727
Fails:
http://hg.mozilla.org/mozilla-central/rev/b8194445b364
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b13pre) Gecko/20110222 Firefox/4.0b13pre ID:20110222214147
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=67ee5b40edd5&tochange=b8194445b364

Candidate:
b8194445b364	Robert O'Callahan — Bug 630835. Make BuildLayer responsible for setting a visible region on the layer, and let FrameLayerBuilder only reduce it. r=tnikkel,a=blocking This avoids problems with FrameLayerBuilder making the visible region bigger than we expected, invalidating CONTENT_OPAQUE flags set on the layer. In particular, we had been using TransformBounds to compute the new visible region, and for non-axis-aligned transforms this gives us a visible region which contains areas not actually painted by the layer contents.
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-03 22:30:30 PDT
Manual antialiasing due to us deciding that some layer is transparent, probably...
Comment 5 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-03 22:31:21 PDT
Is there a bug for fixing the gamma correction issues there?
Comment 6 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-03 22:51:48 PDT
Created attachment 529932 [details] [diff] [review]
fix

Eh, I can just fix this.

The reason we have this problem is that the nsDisplaySolidColor at the root of the select has a fractional pixel width. So the ThebesLayer it goes into gets a visible region that's the rounded-out width, but the nsDisplaySolidColor only opaquely covers the rounded-in width.

This patch fixes the problem by making nsDisplaySolidColor::GetBounds return the snapped bounds when appropriate, like nsDisplayBackground does.
Comment 7 Mounir Lamouri (:mounir) 2011-05-13 02:10:38 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/1da21b25c5e0
Comment 8 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-16 03:11:17 PDT
Comment on attachment 529932 [details] [diff] [review]
fix

Ugly regression in Firefox 4, fairly safe fix.
Comment 9 Asa Dotzler [:asa] 2011-05-18 13:12:23 PDT
How widespread is this likely to be on the Web and how likely is this to be obvious to users without the 5x zooming. I realize that the steps to reproduce are in order to exaggerate the problem to make it easier to identify, but what I don't understand is whether or not this is a big problem for users in the wild who aren't zooming in 5x.

I'm leaning towards a no on taking this into Beta. (Would we have taken this into Firefox 4 RC?)
Comment 10 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-05-18 15:40:54 PDT
Zooming doesn't affect it, for me; I can see it without zooming. It looks ugly. It's probably less important than my other approval requests though :-).
Comment 11 Daniel Veditz [:dveditz] 2011-05-19 14:32:09 PDT
Comment on attachment 529932 [details] [diff] [review]
fix

Not taking this in the Fx5 beta period.
Comment 12 Vlad [QA] 2011-07-28 07:23:40 PDT
Setting resolution to Verified Fixed on Mozilla/5.0 (Windows NT 6.1; rv:6.0) Gecko/20100101 Firefox/6.0
Comment 13 zemadz 2011-08-16 14:29:28 PDT
Machine: Win7 Pro 32bit, Ati Mobility Radeon x1400 (10.2 legacy driver)

This problem still appears on some pages. A sample page where i encounter it: dubstep.fm/chat. There is Mibbit IRC chat. If I scroll or the chat has a new entry then everything becomes thin for a few seconds, when undisturbed it returns to normal. Problem with FF4 to FF6.

About:support says "Direct2D Enabled (Blocked for your graphics driver version. Try updating your graphics driver to version 10.6 or newer.)"

Note You need to log in before you can comment on or make changes to this bug.